Package com.xebialabs.xlrelease.domain.runner

# Class RunnerAuditRecord

java.lang.Object
com.xebialabs.xlrelease.domain.runner.RunnerAuditRecord

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class RunnerAuditRecord extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunnerAuditRecord(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RunnerAuditRecord`
  `apply(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)`
  `boolean`
  `canEqual(Object x$1)`
  `String`
  `changedBy()`
  `String`
  `contentJson()`
  `RunnerAuditRecord`
  `copy(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)`
  `long`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `RunnerAuditEventType`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `Date`
  `copy$default$5()`
  `String`
  `copy$default$6()`
  `boolean`
  `equals(Object x$1)`
  `Date`
  `eventTime()`
  `RunnerAuditEventType`
  `eventType()`
  `int`
  `hashCode()`
  `long`
  `id()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `runnerId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple6<Object,String,RunnerAuditEventType,String,Date,String>>`
  `unapply(RunnerAuditRecord x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### RunnerAuditRecord

    public RunnerAuditRecord(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)

- ## Method Details

  - ### apply

    public static RunnerAuditRecord apply(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)

  - ### unapply

    public static scala.Option<scala.Tuple6<Object,String,RunnerAuditEventType,String,Date,String>> unapply(RunnerAuditRecord x$0)

  - ### id

    public long id()

  - ### runnerId

    public String runnerId()

  - ### eventType

    public RunnerAuditEventType eventType()

  - ### changedBy

    public String changedBy()

  - ### eventTime

    public Date eventTime()

  - ### contentJson

    public String contentJson()

  - ### copy

    public RunnerAuditRecord copy(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)

  - ### copy$default$1

    public long copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public RunnerAuditEventType copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public Date copy$default$5()

  - ### copy$default$6

    public String copy$default$6()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`